[gutsy] No help in Gnome control-center

Bug #130724 reported by Albert Damen on 2007-08-06
68
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Yelp
Fix Released
Medium
yelp (Ubuntu)
Low
Ubuntu Desktop Bugs

Bug Description

Binary package hint: yelp

When pressing the help button in gnome-display-properties, no help is shown. The cursor indicates the system is waiting. The same happens for other items in control-center.

When starting gnome-display-properties from command-line, an error message is given:

---
albert@BTO:~$ LANGUAGE=C gnome-display-properties
xmlXPathCompOpEval: function has-same-node not found
XPath error : Unregistered function
xmlXPathCompiledEval: 3 objects left on the stack.
runtime error: file /usr/share/xml/gnome/xslt/docbook/html/db2html-division.xsl line 317 element apply-templates
Failed to evaluate the 'select' expression.
---

If an item from the content list is chosen, a message box with error message is shown:

---
Could not load section
The section ‘tools’ does not exist in this document. If you were directed to this section from a Help button in an application, please report this to the maintainers of that application.
---

System is Gutsy Tribe-3, AMD64
Linux BTO 2.6.22-9-generic #1 SMP Fri Aug 3 00:20:35 GMT 2007 x86_64 GNU/Linux
GNOME gnome-display-properties 2.19.6

ProblemType: Bug
Architecture: amd64
Date: Mon Aug 6 21:48:57 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/bin/yelp
NonfreeKernelModules: vmnet vmblock vmmon
Package: yelp 2.18.1-1ubuntu1
PackageArchitecture: amd64
ProcCmdline: gnome-help ghelp:///usr/share/gnome/help/user-guide/C/user-guide.xml?goscustdesk-70
ProcCwd: /home/albert
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=nl_NL.UTF-8
SourcePackage: yelp
Uname: Linux BTO 2.6.22-9-generic #1 SMP Fri Aug 3 00:20:35 GMT 2007 x86_64 GNU/Linux

Related branches

Albert Damen (albrt) wrote :
Sebastien Bacher (seb128) wrote :

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: http://bugzilla.gnome.org/show_bug.cgi?id=464295

Changed in yelp:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Triaged
Albert Damen (albrt) wrote :

Today I got an update for Yelp, which changed the situation.

- the error message when gnome-display-properties is started from command line has gone
- Yelp does not show a table of contents anymore
- Yelp immediately shows a new error message:

---
Unable to load page

The requested URI "ghelp:///usr/share/gnome/help/user-guide/C/user-guide.xml?goscustdesk-70" is invalid
---

Yelp is now version 2.19.1
albert@BTO:~$ ls -la /var/cache/apt/archives/yelp_2.19.1-0ubuntu1_amd64.deb
-rw-r--r-- 1 root root 323910 2007-08-07 05:03 /var/cache/apt/archives/yelp_2.19.1-0ubuntu1_amd64.deb

Sebastien Bacher (seb128) wrote :

the bug has been fixed upstream now

Changed in yelp:
status: Triaged → Fix Committed
Changed in yelp:
status: Unknown → Fix Released
Sebastien Bacher (seb128) wrote :

yelp (2.19.90-0ubuntu1) gutsy; urgency=low

  * New upstream version:
    - Fix distcheck
    - Use x-yelp-index instead of index, which unbreaks some docbook files
    - Write html on command instead of in idle, which fixes info pages
    - Update some copyrights on files
    - Make MAINTAINERS meet bkor's high expectations
    - Add a "phrase not found" message to the find bar
    - Fix "info <page>" in search bar (LP: #54430)
    - Handle malformed .so tags
    - Better handling of cross links in man pages
    - Fix crashes in various info pages
    - Remove extra markup from print dialog
    - Fix searching of single ':' using basic search (LP: #128130)
    - Various fixes to basic search
    - Handle '\*=' escape sequence in man pages
    - Resolve full paths given with ghelp: uri (LP: #130724)
    - Reduce static data and relocations
    - Fix build on Solaris
    - Remove c++ comment
    - Mark -help contents as translatable
    - Remove suffix from icon
    - Make error messages less cryptic
    - Mark print dialog title as translatable
    - Fix building with Beagle again
    - Register EXSLT extensions
    - Fixes docbook pages again
    - Updated translations
  * debian/patches/07_rosetta_translations_update.patch:
    - updated
  * debian/patches/90_from_svn_exslt_registration.patch:
    - dropped, fixed with the new version
  * debian/rules:
    - use beagle search

 -- Sebastien Bacher <email address hidden> Tue, 14 Aug 2007 13:14:03 +0200

Changed in yelp:
status: Fix Committed → Fix Released
Changed in yelp:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.